use std::{env, fs, process::exit};

pub fn get_puzzle() -> String {
    let mut args_iter = env::args();
    let cmd_name = args_iter.next().unwrap();
    let path = match args_iter.next() {
        Some(value) => value,
        None => {
            eprintln!("USAGE: {} puzzle_path", cmd_name);
            exit(1);
        }
    };
    match fs::read_to_string(&path) {
        Ok(value) => value,
        Err(err) => {
            panic!("error opening {}: {}", path, err);
        }
    }
}

pub fn get_puzzle_bytes() -> Vec<u8> {
    let mut args_iter = env::args();
    let cmd_name = args_iter.next().unwrap();
    let path = match args_iter.next() {
        Some(value) => value,
        None => {
            eprintln!("USAGE: {} puzzle_path", cmd_name);
            exit(1);
        }
    };
    match fs::read(&path) {
        Ok(value) => value,
        Err(err) => {
            panic!("error opening {}: {}", path, err);
        }
    }
}
